org.eclipse.microprofile.graphql.tck.apps.superhero.model

## Class Sidekick

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.model.Sidekick

All Implemented Interfaces:
  Character

    public class Sidekick
    extends Object
    implements Character

### Constructor Summary

Constructors
Constructor and Description
`Sidekick()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`SuperHero` `getSuperHeroSidekicked()`
`void` `setName(String name)`
`void` `setSuperHeroSidekicked(SuperHero superHeroSidekicked)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Sidekick

    public Sidekick()

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Character`

#### setName

    public void setName(String name)

Specified by:
  `setName` in interface `Character`

#### getSuperHeroSidekicked

    public SuperHero getSuperHeroSidekicked()

#### setSuperHeroSidekicked

    public void setSuperHeroSidekicked(SuperHero superHeroSidekicked)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`